<?php
function prikazi_linkove_u_kategoriji($conn,$kategorija) {
	$linkovi='';
	if (is_numeric($kategorija)) {
		$db_tablelink1  = "b7_sadrzaj";
		$sql99="select id_sadrzaj,naslov,link,opis,vidljivost from $db_tablelink1 where id_kategorija='$kategorija' and vidljivost!='0' order by pozicija asc";
		$rez99=mysql_query($sql99,$conn);
		if ($rez99) $num99=mysql_num_rows($rez99);
		if ($num99>0) {
			while ($row = mysql_fetch_array($rez99)) {
				$linkovi.='<li>';
				if ($row['opis']=='#LINK') {
					$linkovi.='<a href="'.$row['link'].'"';
					if ($row['vidljivost']==4) $linkovi.=' target="_blank"';
					$linkovi.='>'.$row['naslov'].'</a>';
				} else {
					//$linkovi.='<a href="http://www.opcina-tompojevci.hr/index.php?stranica='.$row['id_sadrzaj'].'">'.$row['link'].'</a>';
					$linkovi.='<a href="http://www.opcina-tompojevci.hr/stranica/'.$row['id_sadrzaj'].'">'.$row['link'].'</a>';
				} 
				$linkovi.='</li>'."\n";
			}
		} else {$greska=1;}
	} else {$greska=1;}
	if ($greska==1) {
		//$linkovi.='<li><a href="http://www.opcina-tompojevci.hr/index.php">Home page</a></li>'."\n";
		$linkovi.='<li><a href="http://www.opcina-tompojevci.hr/">Home page</a></li>'."\n";
	}
	echo $linkovi;
}




function prikazi_stranicu($conn, $aktivna_stranica, $prikaz_naslov=1, $klasa='') {
	$sql="select naslov from b7_sadrzaj where id_sadrzaj='$aktivna_stranica'";
	$rez=mysql_query($sql,$conn);
	if ($rez) $num=mysql_num_rows($rez);
	if ($num==0) {
		echo '<h1>Sadržaj nije pronađen</h1>'."\n";	
	} else {
		$row=mysql_fetch_array($rez);
		$naslov=$row[0];
		if ($klasa) echo '<div id="'.$klasa.'">'."\n";
		if ($prikaz_naslov==1) {
			echo '<h1>'.$naslov.'</h1>'."\n";
		}
		//učitaj paragrafe
		$putanja='inc/sadrzaj/';
		$sql2="select fajl from b7_paragraf where id_sadrzaj='$aktivna_stranica' order by pozicija asc";
		$rez2=mysql_query($sql2,$conn);
		if ($rez2) $num2=mysql_num_rows($rez2);
		if ($num2>0) {
			$cur2=1;
			while ($num2>=$cur2) {
				$row2=mysql_fetch_array($rez2);
				$fajl=$row2["fajl"];
				@include ($putanja.$fajl);
				$cur2++;
			}
		}
		if ($klasa) echo '</div>'."\n";		
	}
}

function prikazi_stranicu_datum($conn, $aktivna_stranica, $prikaz_naslov=1, $klasa='') {
	$sql="select naslov from b7_sadrzaj where id_sadrzaj='$aktivna_stranica'";
	$rez=mysql_query($sql,$conn);
	if ($rez) $num=mysql_num_rows($rez);
	if ($num==0) {
		echo '<h1>Sadržaj nije pronađen</h1>'."\n";	
	} else {
		$row=mysql_fetch_array($rez);
		$naslov=$row[0];
		if ($klasa) echo '<div id="'.$klasa.'">'."\n";
		if ($prikaz_naslov==1) {
			echo '<h1>'.$naslov.'</h1>'."\n";
		}
		//učitaj paragrafe
		$putanja='inc/sadrzaj/';
		$sql2="select fajl from b7_paragraf where id_sadrzaj='$aktivna_stranica' order by id_paragraf desc";
		$rez2=mysql_query($sql2,$conn);
		if ($rez2) $num2=mysql_num_rows($rez2);
		if ($num2>0) {
			$cur2=1;
			while ($num2>=$cur2) {
				$row2=mysql_fetch_array($rez2);
				$fajl=$row2["fajl"];
				@include ($putanja.$fajl);
				$cur2++;
			}
		}
		if ($klasa) echo '</div>'."\n";		
	}
}


function prikazi_sadrzaj_paragraf($conn,$id_paragraf) {
	if (is_numeric($id_paragraf)) {
		$db_tablelink1  = "b7_paragraf";
		$sql99="select fajl from $db_tablelink1 where id_paragraf='$id_paragraf'";
		$rez99=mysql_query($sql99,$conn);
		if ($rez99) $num99=mysql_num_rows($rez99);
		if ($num99>0) {
			$row = mysql_fetch_array($rez99);
			$putanja_paragrafa='inc/sadrzaj/';
			include ($putanja_paragrafa.$row['fajl']);
		}
	}
}
?>
